from pygame import Rect
from widget import Widget
from level import cell_size, cell_depth

cw, ch = cell_size
dw, dh = cell_depth

class LevelView(Widget):

	def __init__(self, game, nrows, ncols):
		Widget.__init__(self, Rect(0, 0, ncols * cw + dw, nrows * ch + dh))
		self.game = game

	def draw(self, surface):
		level = self.game.level
		level.draw(surface)
