import sys, gc
import pygame
pygame.init()
from shell import Shell

screen_size = (800, 600)
frame_time = 50          # milliseconds

def main():
	args = sys.argv[1:]
	testing = False
	start_level = None
	start_cell = None
	while args and args[0].startswith("-"):
		if args[0] == "-t":
			testing = True
			args.pop(0)
	if args:
		start_level = args.pop(0)
	if args:
		start_cell = map(int, args.pop(0).split(","))
	screen = pygame.display.set_mode(screen_size)
	root = Shell(screen, testing = testing, start_level = start_level, start_cell = start_cell)
	root.set_timer(frame_time)
	gc.disable()
	root.run()

main()
